### Method

# FwupdPlugin Progress set_percentage_full

since: 1.7.0

#### Declaration [src]

    void
    fu_progress_set_percentage_full (
      FuProgress* self,
      gsize progress_done,
      gsize progress_total
    )

#### Description [src]

Sets the progress completion using the raw progress values.

Available since: 1.7.0

#### Parameters

`progress_done`

  Type: `gsize`

  The bytes already done.

`progress_total`

  Type: `gsize`

  The total number of bytes.